Module für das Oxid-Shopsystem in neueren Versionen einsetzen

Wenn Sie bislang eine ältere Version des Oxid-Shopsystems einsetzen und jetzt auf eine neuere Version umstellen möchten oder müssen, dann müssen Sie auch Ihre vorhandenen Module erneuern. Mit dem neuen Modulmanagement haben sich nämlich die Anforderungen geändert, die das System an Module stellt.

Im Wesentlichen geht es um eine Datei mit dem Namen metadata.php, die Konfigurationseinstellungen und Anbieter- sowie Modulinformationen enthält. Fehlt diese Datei, wird das Modul vom System nicht erkannt und kann gar nicht erst in Betrieb genommen werden.

Wie Sie Module für Oxid-Versionen der Reihe 4.x bis 4.4.8 für Oxid 4.6 bereit machen, erfahren Sie im Artikel Alte Module in neues Oxid portieren.